> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Protocols

> Returns supported protocols with their accepted assets and on-chain configuration.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/earning/protocols
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/earning/protocols:
    get:
      tags:
        - Earning
      summary: Get Supported Protocols
      description: >-
        Returns supported protocols with their accepted assets and on-chain
        configuration.
      operationId: get_protocols
      parameters:
        - name: protocol
          in: query
          schema:
            type: string
        - name: asset
          in: query
          schema:
            type: string
        - name: chain
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of supported protocols.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            chain:
                              type: string
                            assetList:
                              type: array
                              items:
                                $ref: '#/components/schemas/Asset'
                            nativeAsset:
                              $ref: '#/components/schemas/Asset'
                            extraData:
                              type: object
                              properties:
                                bundlerContractAddress:
                                  type: string
                                  nullable: true
                                proxyFactoryContractAddress:
                                  type: string
                                  nullable: true
                                referralAddress:
                                  type: string
                                  nullable: true
                                referralSmartContractAddress:
                                  type: string
                                  nullable: true
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetProtocolListFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Asset:
      type: object
      properties:
        name:
          type: string
        ecosystem:
          type: string
        chain:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        contractAddress:
          type: string
        logoURI:
          type: string
          nullable: true
        priceUsd:
          type: number
          nullable: true
        totalSupply:
          type: number
          nullable: true
        isStakeable:
          type: boolean
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Protocols Supported](/docs/defi-api-protocols.md)
- [Story Protocol](/docs/unified-api-story-protocol.md)
- [Get Available Assets](/reference/get-assets.md)
- [Protocol Reference](/docs/syncro-data-hyperliquid-reference.md)
- [Chains Supported](/docs/unified-api-networks.md)
